Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::graphics::ColorState Class Reference
Inheritance diagram for foxit::pdf::graphics::ColorState:

## Public Member Functions
| ColorState (const ColorState &other)
| Constructor, with another color state object. More...
| ~ColorState ()
| Destructor.
common::Color | GetFillColor ()
| Get fill color. More...
common::Color | GetStrokeColor ()
| Get stroke color. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const ColorState &other) const
| Not equal operator. More...
ColorState & | operator= (const ColorState &other)
| Assign operator. More...
bool | operator== (const ColorState &other) const
| Equal operator. More...
void | SetFillColor (const common::Color &color)
| Set fill color. More...
void | SetStrokeColor (const common::Color &color)
| Set stroke color. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents PDF color state.

## Constructor & Destructor Documentation

## ◆ ColorState()

foxit::pdf::graphics::ColorState::ColorState | ( | const ColorState & | other | ) |

Constructor, with another color state object.

Parameters

  [in] | other | Another color state object.

## Member Function Documentation

## ◆ GetFillColor()

common::Color foxit::pdf::graphics::ColorState::GetFillColor | ( |  | ) |

Get fill color.

Returns
  Fill color.

## ◆ GetStrokeColor()

common::Color foxit::pdf::graphics::ColorState::GetStrokeColor | ( |  | ) |

Get stroke color.

Returns
  Stroke color.

## ◆ IsEmpty()

bool foxit::pdf::graphics::ColorState::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::graphics::ColorState::operator!= | ( | const ColorState & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another color state object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

ColorState& foxit::pdf::graphics::ColorState::operator= | ( | const ColorState & | other | ) |

Assign operator.

Parameters

  [in] | other | Another color state object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::graphics::ColorState::operator== | ( | const ColorState & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another color state object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetFillColor()

void foxit::pdf::graphics::ColorState::SetFillColor | ( | const common::Color & | color | ) |

Set fill color.

Parameters

  [in] | color | A color to be set as fill color.

Returns
  None.

## ◆ SetStrokeColor()

void foxit::pdf::graphics::ColorState::SetStrokeColor | ( | const common::Color & | color | ) |

Set stroke color.

Parameters

  [in] | color | A color to be set as stroke color.

Returns
  None.